/*!
UI v0.0.1
MIT License
Copyright (c) 2019 Luummii <mail@luummii.com>
*/

.ui-g {
  letter-spacing: -0.31em; /* Webkit: collapse white-space between units */
  *letter-spacing: normal; /* reset IE < 8 */
  *word-spacing: -0.43em; /* IE < 8: collapse white-space between units */
  text-rendering: optimizespeed; /* Webkit: fixes text-rendering: optimizeLegibility */
  word-spacing: -0.43em;

  /*
  Sets the font stack to fonts known to work properly with the above letter
  and word spacings. See: https://github.com/yahoo/ui/issues/41/

  The following font stack makes ui Grids work on all known environments.

  * FreeSans: Ships with many Linux distros, including Ubuntu

  * Arimo: Ships with Chrome OS. Arimo has to be defined before Helvetica and
    Arial to get picked up by the browser, even though neither is available
    in Chrome OS.

  * Droid Sans: Ships with all versions of Android.

  * Helvetica, Arial, sans-serif: Common font stack on OS X and Windows.
  */
  font-family: FreeSans, Arimo, "Droid Sans", Helvetica, Arial, sans-serif;

  /* Use flexbox when possible to avoid `letter-spacing` side-effects. */
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-flex-flow: row wrap;
  -ms-flex-flow: row wrap;
  flex-flow: row wrap;

  /* Prevents distributing space between rows */
  -webkit-align-content: flex-start;
  -ms-flex-line-pack: start;
  align-content: flex-start;

  /*
  Resets the font family back to the OS/browser's default sans-serif font,
  this the same font stack that Normalize.css sets for the `body`.
  */

  &[class*="ui-u"] { // ????????????????????????????????????????????????
    font-family: sans-serif;
  }
}

// ??????????????????????????????????????????? 
// .ui-g [class*="ui-u"] { // ???????????????????????????????????????????
//   font-family: sans-serif;
// }

/* IE10 display: -ms-flexbox (and display: flex in IE 11) does not work inside a table; fall back to block and rely on font hack */
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  table .ui-g {
    display: block;
  }
}

/* Opera as of 12 on Windows needs word-spacing.
   The ".opera-only" selector is used to prevent actual prefocus styling
   and is not required in markup.
*/

.opera-only :-o-prefocus {
  word-spacing: -0.43em;
}

.ui-u {
  display: inline-block;
  zoom: 1;
  letter-spacing: normal;
  word-spacing: normal;
  vertical-align: top;
  text-rendering: auto;
}

.ui-u-1, .ui-u-1-1, .ui-u-1-2, .ui-u-1-3, .ui-u-2-3, .ui-u-1-4, .ui-u-3-4, .ui-u-1-5, .ui-u-2-5, .ui-u-3-5, .ui-u-4-5, .ui-u-5-5, .ui-u-1-6, .ui-u-5-6, .ui-u-1-8, .ui-u-3-8, .ui-u-5-8, .ui-u-7-8, .ui-u-1-12, .ui-u-5-12, .ui-u-7-12, .ui-u-11-12, .ui-u-1-24, .ui-u-2-24, .ui-u-3-24, .ui-u-4-24, .ui-u-5-24, .ui-u-6-24, .ui-u-7-24, .ui-u-8-24, .ui-u-9-24, .ui-u-10-24, .ui-u-11-24, .ui-u-12-24, .ui-u-13-24, .ui-u-14-24, .ui-u-15-24, .ui-u-16-24, .ui-u-17-24, .ui-u-18-24, .ui-u-19-24, .ui-u-20-24, .ui-u-21-24, .ui-u-22-24, .ui-u-23-24, .ui-u-24-24 {
  display: inline-block;
  zoom: 1;
  letter-spacing: normal;
  word-spacing: normal;
  vertical-align: top;
  text-rendering: auto;
}

.ui-u-1-24 {
  width: 4.1667%;
}

.ui-u-1-12, .ui-u-2-24 {
  width: 8.3333%;
}

.ui-u-1-8, .ui-u-3-24 {
  width: 12.5000%;
}

.ui-u-1-6, .ui-u-4-24 {
  width: 16.6667%;
}

.ui-u-1-5 {
  width: 20%;
}

.ui-u-5-24 {
  width: 20.8333%;
}

.ui-u-1-4, .ui-u-6-24 {
  width: 25%;
}

.ui-u-7-24 {
  width: 29.1667%;
}

.ui-u-1-3, .ui-u-8-24 {
  width: 33.3333%;
}

.ui-u-3-8, .ui-u-9-24 {
  width: 37.5000%;
}

.ui-u-2-5 {
  width: 40%;
}

.ui-u-5-12, .ui-u-10-24 {
  width: 41.6667%;
}

.ui-u-11-24 {
  width: 45.8333%;
}

.ui-u-1-2, .ui-u-12-24 {
  width: 50%;
}

.ui-u-13-24 {
  width: 54.1667%;
}

.ui-u-7-12, .ui-u-14-24 {
  width: 58.3333%;
}

.ui-u-3-5 {
  width: 60%;
}

.ui-u-5-8, .ui-u-15-24 {
  width: 62.5000%;
}

.ui-u-2-3, .ui-u-16-24 {
  width: 66.6667%;
}

.ui-u-17-24 {
  width: 70.8333%;
}

.ui-u-3-4, .ui-u-18-24 {
  width: 75%;
}

.ui-u-19-24 {
  width: 79.1667%;
}

.ui-u-4-5 {
  width: 80%;
}

.ui-u-5-6, .ui-u-20-24 {
  width: 83.3333%;
}

.ui-u-7-8, .ui-u-21-24 {
  width: 87.5000%;
}

.ui-u-11-12, .ui-u-22-24 {
  width: 91.6667%;
}

.ui-u-23-24 {
  width: 95.8333%;
}

.ui-u-1, .ui-u-1-1, .ui-u-5-5, .ui-u-24-24 {
  width: 100%;
}

